## libtorrent-rasterbar 0.16.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(libtorrent)

set(sources
	web_connection_base
	alert
	allocator
	asio
	asio_ssl
	assert
	bandwidth_limit
	bandwidth_manager
	bandwidth_queue_entry
	bloom_filter
	chained_buffer
	connection_queue
	create_torrent
	disk_buffer_holder
	entry
	error_code
	file_storage
	lazy_bdecode
	escape_string
	string_util
	file
	gzip
	http_connection
	http_stream
	http_parser
	i2p_stream
	identify_client
	ip_filter
	peer_connection
	bt_peer_connection
	web_peer_connection
	http_seed_connection
	instantiate_connection
	natpmp
	packet_buffer
	piece_picker
	policy
	puff
	random
	rsa
	rss
	session
	session_impl
	settings
	socket_io
	socket_type  
	socks5_stream
	stat
	storage
	thread
	time
	timestamp_history
	torrent
	torrent_handle
	torrent_info
	tracker_manager
	http_tracker_connection
	utf8
	udp_tracker_connection
	udp_socket
	upnp
	utp_socket_manager
	utp_stream
	logger
	file_pool
	lsd
	disk_buffer_pool
	disk_io_thread
	enum_net
	broadcast_socket
	magnet_uri
	parse_url
	ConvertUTF

# -- extensions --
	metadata_transfer
	ut_pex
	ut_metadata
	smart_ban
	lt_trackers
)

# -- kademlia --
set(kademlia_sources
	dht_tracker
	node
	refresh
	rpc_manager
	find_data
	node_id
	routing_table
	traversal_algorithm
)

set(includes include)

option(shared "build libtorrent as a shared library" ON)
option(tcmalloc "link against google performance tools tcmalloc" OFF)
option(pool-allocators "Uses a pool allocator for disk and piece buffers" ON)
option(encryption "link against openssl and enable encryption" ON)
option(geoip "link against LGPL GeoIP code from Maxmind, to enable geoip database support" OFF)
option(dht "enable support for Mainline DHT" ON)
option(resolve-countries "enable support for resolving countries from peer IPs" ON)
option(unicode "enable unicode support" ON)
option(deprecated-functions "enable deprecated functions for backwards compatibility" ON)
option(exceptions "build with exception support" ON)
option(logging "build with logging" OFF)
option(verbose-logging "build with verbose logging" OFF)
option(build_tests "build tests" OFF)
option(build_examples "build examples" ON)

set(CMAKE_CONFIGURATION_TYPES Debug Release RelWithDebInfo)

if (NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE Release FORCE)
endif (NOT CMAKE_BUILD_TYPE)

# add_definitions() doesn't seem to let you say wich build type to apply it to
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DTORRENT_DEBUG")

set(CMAKE_C_FLAGS_RELWITHDEBINFO "-Os -g")
set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO}")

if (encryption)
	list(APPEND sources pe_crypto)
endif (encryption)

if (logging)
	add_definitions(-DTORRENT_LOGGING)
endif (logging)
if (verbose-logging)
	add_definitions(-DTORRENT_VERBOSE_LOGGING)
endif (verbose-logging)

foreach(s ${sources})
	list(APPEND sources2 src/${s})
endforeach(s)

if (dht)
	foreach(s ${kademlia_sources})
		list(APPEND sources2 src/kademlia/${s})
	endforeach(s)
else (dht)
	add_definitions(-DTORRENT_DISABLE_DHT)
endif (dht)

if(NOT MSVC)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
	set(CMAKE_CXX_FLAGS "${CMAKE_C_FLAGS} -fvisibility-inlines-hidden")
endif()

if (shared)
	add_definitions(-DTORRENT_BUILDING_SHARED)
	add_library(torrent-rasterbar SHARED ${sources2})
else (shared)
	add_library(torrent-rasterbar STATIC ${sources2})
endif (shared)

if (NOT Boost_VERSION LESS 103500)
	if(NOT MSVC)
		FIND_PACKAGE( Boost 1.35 COMPONENTS system)
	else(NOT MSVC)
		FIND_PACKAGE( Boost 1.35 COMPONENTS system thread date_time)
	endif(NOT MSVC)
endif (NOT Boost_VERSION LESS 103500)
include_directories(${Boost_INCLUDE_DIR})
target_link_libraries(torrent-rasterbar ${Boost_LIBRARIES})

# this works around a bug in asio in boost-1.39
add_definitions(-DBOOST_ASIO_HASH_MAP_BUCKETS=1021 -DBOOST_ASIO_DYN_LINK -D__USE_W32_SOCKETS -DWIN32_LEAN_AND_MEAN -D_WIN32_WINNT=0x0500)

add_definitions(-DBOOST_DATE_TIME_DYN_LINK -DBOOST_THREAD_DYN_LINK -DBOOST_SYSTEM_DYN_LINK -DBOOST_CHRONO_DYN_LINK)

if (WIN32)
	target_link_libraries(torrent-rasterbar wsock32 ws2_32)
endif (WIN32)

if (encryption)
	FIND_PACKAGE(OpenSSL REQUIRED)
	add_definitions(-DTORRENT_USE_OPENSSL)
	include_directories(${OPENSSL_INCLUDE_DIR})
	target_link_libraries(torrent-rasterbar ${OPENSSL_LIBRARIES})
else (encryption)
	add_definitions(-DTORRENT_DISABLE_ENCRYPTION)
	list(APPEND sources sha1)
endif (encryption)

if (NOT pool-allocators)
	add_definitions(-DTORRENT_DISABLE_POOL_ALLOCATOR)
endif (NOT pool-allocators)

if (NOT geoip)
	add_definitions(-DTORRENT_DISABLE_GEO_IP)
endif (NOT geoip)

if (NOT resolve-countries)
	add_definitions(-DTORRENT_DISABLE_RESOLVE_COUNTRIES)
endif (NOT resolve-countries)

if (unicode)
	add_definitions(-DUNICODE -D_UNICODE)
endif (unicode)

if (NOT deprecated-functions)
	add_definitions(-DTORRENT_NO_DEPRECATE)
endif (NOT deprecated-functions)

if (exceptions)
	if (MSVC)
		add_definitions(/EHsc)
	else (MSVC)
		add_definitions(-fexceptions)
	endif (MSVC)
else (exceptions)
	add_definitions(-fno-exceptions)
endif (exceptions)

if (MSVC)
# disable bogus deprecation warnings on msvc8
	add_definitions(-D_SCL_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE)
# these compiler settings just makes the compiler standard conforming
	add_definitions(/Zc:wchar_t /Zc:forScope)
# for multi-core compilation
	add_definitions(/MP)

#	<toolset>msvc,<variant>release:<linkflags>/OPT:ICF=5
#	<toolset>msvc,<variant>release:<linkflags>/OPT:REF
endif(MSVC)

add_definitions(-D_FILE_OFFSET_BITS=64)
add_definitions(-DBOOST_DISABLE_EXCEPTION)
add_definitions(-DBOOST_ASIO_ENABLE_CANCELIO)

if (tcmalloc)
	target_link_libraries(torrent-rasterbar tcmalloc)
endif (tcmalloc)

include_directories(${includes})

set_target_properties(torrent-rasterbar PROPERTIES
	SOVERSION 1
	VERSION 1)

set (VERSION "0.16.11")

get_property (COMPILETIME_OPTIONS_LIST
	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}
	PROPERTY COMPILE_DEFINITIONS
	)
foreach (s ${COMPILETIME_OPTIONS_LIST})
	set (COMPILETIME_OPTIONS "${COMPILETIME_OPTIONS} -D${s}")
endforeach (s)

if (MSVC)
	configure_file(libtorrent-rasterbar-cmake.pc.in libtorrent-rasterbar.pc)
endif (MSVC)

string (COMPARE EQUAL "${CMAKE_SIZEOF_VOID_P}" "8" IS64BITS)

if (IS64BITS AND RESPECTLIB64)
	set (LIBDIR "lib64")
else (IS64BITS AND RESPECTLIB64)
	set (LIBDIR "lib")
endif (IS64BITS AND RESPECTLIB64)

install(TARGETS torrent-rasterbar DESTINATION ${LIBDIR} CONFIGURATIONS release)
install(DIRECTORY include/libtorrent
	DESTINATION include
	PATTERN ".svn" EXCLUDE)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libtorrent-rasterbar.pc DESTINATION ${LIBDIR}/pkgconfig)

# === build examples ===
if(build_examples)
	set(examples client_test dump_torrent simple_client enum_if make_torrent)

	foreach(s ${examples})
		add_executable(${s} examples/${s}.cpp)
		target_link_libraries(${s} torrent-rasterbar)
	endforeach(s)

	include_directories(${Boost_INCLUDE_DIR})
endif(build_examples)
# === build tests ===
if(build_tests)
	set(tests
		test_auto_unchoke
		test_http_connection
		test_buffer
		test_utp
		test_storage
		test_torrent
		test_dht
		test_transfer
		test_piece_picker
		test_fast_extension
		test_pe_crypto
		test_bencoding
		test_bdecode_performance
		test_primitives
		test_ip_filter
		test_hasher
		test_metadata_extension
		test_trackers_extension
		test_swarm
		test_lsd
		test_pex
		test_web_seed
		test_bandwidth_limiter
		test_session
		test_torrent_parse
		test_threads
		)

	add_library(test_common STATIC test/main.cpp test/setup_transfer.cpp)
	enable_testing()

	foreach(s ${tests})
		add_executable(${s} test/${s}.cpp)
		target_link_libraries(${s} torrent-rasterbar test_common)
		add_test(${s} ${s})
	endforeach(s)

	add_executable(test_upnp test/test_upnp.cpp)
	target_link_libraries(test_upnp torrent-rasterbar)

	add_executable(test_natpmp test/test_natpmp.cpp)
	target_link_libraries(test_natpmp torrent-rasterbar)
endif(build_tests)

=== debian/changelog ===
libtorrent-rasterbar (0.16.11-1ubuntu1) saucy; urgency=low

  * Re-sync on Debian, but revert libboost transition and
    stay with libboost 1.53 for saucy.
  * Explictly pass --with-boost-system=boost_system in configure
    as ax_boost_system.m4 doesn't want to find it now that it
    is multiarch.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 28 Sep 2013 19:26:56 -0400

libtorrent-rasterbar (0.16.11-1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version 0.16.11.
    - fixes build with Boost 1.54 (Closes: #724708).
  * fix-ftbfs-kfreebsd-iconv.patch: deleted (merged upstream).
  * debian/rules: fix linking with boost_python libraries (Closes: #721546).
  * debian/control:
    - switch to boost1.54-dev | boost-dev deps.
    - bump Standards-Version to 3.9.4 (no changes required).
  * debian/copyright:
    - update in according to Copyright format 1.0
    - remove copyright holders whose code was deleted from source tree
    - add missed copyright holders
    - update years

 -- Boris Pek <tehnick@debian.org>  Sat, 28 Sep 2013 20:27:56 +0300

libtorrent-rasterbar (0.16.10-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust python3-libtorrent.install to fix FTBFS when not built with
    python3.2 support (Closes: #718666)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Aug 2013 22:24:08 -0400

libtorrent-rasterbar (0.16.10-3) unstable; urgency=low

  * debian/patches:
    - fix-ftbfs-kfreebsd-iconv.patch: new patch, fix
      ftbfs on kfreebsd, thanks Pino Toscano! (Closes: #712797)
    - refresh other patches.

 -- Cristian Greco <cristian@debian.org>  Thu, 20 Jun 2013 21:18:23 +0200

libtorrent-rasterbar (0.16.10-2) unstable; urgency=low

  * Upload to unstable.
    - fixes all ftbfs (Closes: #701311, #710624).
  * debian/control: switch to conditional build-dep on
    boost1.53-dev | boost-dev.

 -- Cristian Greco <cristian@debian.org>  Mon, 17 Jun 2013 22:56:07 +0200

libtorrent-rasterbar (0.16.10-1) experimental; urgency=low

  * New upstream version 0.16.10.
  * Build python3 packages (patch by Andrew Starr-Bochicchio
    <asb@debian.org>) (Closes: #708072).
  * debian/rules: add explicit configure arg --with-libiconv.

 -- Cristian Greco <cristian@debian.org>  Sun, 26 May 2013 13:57:13 +0200

libtorrent-rasterbar (0.16.9-1) experimental; urgency=low

  * New upstream version 0.16.9.
    - new package libtorrent-rasterbar7 (bump up library soname).
    - debian/control: drop now useless (build-)deps.
    - debian/control: switch to explicit boost1.53 (build-)deps.
    - upload to experimental: the library is pretty stable, but will be
      uploaded to unstable only after the transition of boost1.53.

 -- Cristian Greco <cristian@debian.org>  Sun, 12 May 2013 10:48:57 +0200

=== debian/control ===
Source: libtorrent-rasterbar
Section: libs
Priority: optional
Maintainer: Cristian Greco <cristian@debian.org>
Build-Depends: debhelper (>= 7.4.10),
               dpkg-dev (>= 1.16.1~),
               libboost-system1.53-dev | libboost-system-dev,
               libboost-python1.53-dev | libboost-python-dev,
               libssl-dev,
               libgeoip-dev,
               pkg-config,
               python-all-dev (>= 2.6.6-3~),
               python-all-dbg,
               python-docutils,
               python3-all-dev,
               python3-all-dbg,
               python3-docutils
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/libtorrent-rasterbar.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libtorrent-rasterbar.git
Homepage: http://www.rasterbar.com/products/libtorrent/index.html
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.1

Package: libtorrent-rasterbar7
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libtorrent-rasterbar-dbg
Description: C++ bittorrent library by Rasterbar Software
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains libtorrent-rasterbar run time shared library.

Package: libtorrent-rasterbar-dev
Section: libdevel
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
         libtorrent-rasterbar7 (= ${binary:Version}),
         libboost-system1.53-dev | libboost-system-dev,
         libssl-dev,
         libgeoip-dev,
         pkg-config
Suggests: libtorrent-rasterbar-doc
Description: Development files for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains header files and static version of the library.

Package: libtorrent-rasterbar-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
Description: Debug symbols for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains debugging symbols.

Package: libtorrent-rasterbar-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}
Description: Documentation for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains documentation and example files.

Package: python-libtorrent
Section: python
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: Python bindings for libtorrent-rasterbar
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains Python bindings for the libtorrent-rasterbar library.

Package: python-libtorrent-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-libtorrent (= ${binary:Version}), python-dbg
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: Python bindings for libtorrent-rasterbar (debug symbols)
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains Python bindings for the libtorrent-rasterbar library
 (debug symbols).

Package: python3-libtorrent
Section: python
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
Description: Python bindings for libtorrent-rasterbar (Python 3)
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains Python 3 bindings for the libtorrent-rasterbar library.

Package: python3-libtorrent-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python-libtorrent (= ${binary:Version}), python3-dbg
Description: Python bindings for libtorrent-rasterbar (debug symbols) (Python 3)
 Bittorrent library by Rasterbar Software (Arvid Norberg).
 libtorrent-rasterbar is a C++ library that aims to be a good alternative to
 all the other bittorrent implementations around.
 .
 The main goals of libtorrent-rasterbar are:
  * to be cpu efficient
  * to be memory efficient
  * to be very easy to use
 .
 This package contains Python 3 bindings for the libtorrent-rasterbar library
 (debug symbols).

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)
ALLPY=$(PYTHON2) $(PYTHON3) $(PYTHON2:%=%-dbg) $(PYTHON3:%=%-dbg)

CONFIGURE_ARGS = --with-libgeoip --with-libiconv --with-boost-system=boost_system

%:
	dh $@ --parallel --with python2,python3

override_dh_auto_configure-nopy:
	dh_auto_configure --builddirectory build -- $(CONFIGURE_ARGS)

override_dh_auto_configure-%:
	CPPFLAGS="$(CPPFLAGS) $(shell python$*-config --includes)" \
	dh_auto_configure --builddirectory build-py$* -- \
		PYTHON=/usr/bin/python$* PYTHON_INSTALL_PARAMS="--root=$(CURDIR)/debian/tmp --install-layout=deb" \
		--enable-python-binding --with-boost-python=boost_python-py$(subst .,,$(subst -dbg,,$*)) \
		$(CONFIGURE_ARGS)
	mv build-py$*/bindings/python build/bindings/python$*
	cp -r bindings/python/src build/bindings/python$*

override_dh_auto_configure: override_dh_auto_configure-nopy $(ALLPY:%=override_dh_auto_configure-%)


override_dh_auto_build-nopy:
	dh_auto_build --builddirectory build
	$(MAKE) -C docs/ -f makefile

override_dh_auto_build-%:
	dh_auto_build --builddirectory build/bindings/python$*

override_dh_auto_build: override_dh_auto_build-nopy $(ALLPY:%=override_dh_auto_build-%)


override_dh_auto_install-nopy:
	dh_auto_install --builddirectory build

override_dh_auto_install-%:
	dh_auto_install --builddirectory build/bindings/python$*

override_dh_auto_install: override_dh_auto_install-nopy $(ALLPY:%=override_dh_auto_install-%)


override_dh_auto_clean:
	rm -rf build build-py*
	dh_auto_clean

override_dh_compress:
	dh_compress -Xcpp

override_dh_strip:
	dh_strip --dbg-package=libtorrent-rasterbar-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_builddeb:
	dh_builddeb -- -Z xz

## libtorrent-rasterbar 0.16.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -245,7 +245,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.16.11")
+set (VERSION "0.16.13")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}

=== debian/changelog ===
libtorrent-rasterbar (0.16.13-1ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Stop UPnP from falling back on port 0. Routers
    may forward unmapped ports to the given IP, exposing the machine
    to the internet (LP: #1330703).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 23 Jun 2014 22:42:45 -0400

libtorrent-rasterbar (0.16.13-1ubuntu2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:35:11 +0100

libtorrent-rasterbar (0.16.13-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
   - Use dh-autoreconf for ppc64el.
   - Add repatch target to debian/rules to work around autoreconf
     regenerating the patched configure script.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 25 Feb 2014 21:54:09 -0500

libtorrent-rasterbar (0.16.13-1) unstable; urgency=medium

  * New upstream release.
  * Add myself as an uploader.
  * Bump Standards-Version to 3.9.5, no changes needed. 
  * Update fix-html-docs.patch so that all docs are built from
    source and fix lintian privacy-breach-google-adsense errors. 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 24 Feb 2014 14:11:14 -0500

libtorrent-rasterbar (0.16.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly pass --with-boost-system=boost_system to configure
    as ax_boost_system.m4 doesn't want to find it now that it
    is multiarch. Fixes FTBFS (Closes: #738381).
  * Fix build with python3.4 as a supported version, using python-config.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 17 Feb 2014 12:19:53 -0500

libtorrent-rasterbar (0.16.11-2) unstable; urgency=low

  * debian/control: libtorrent-rasterbar-dev should depend on
    boost-system1.54 (Closes: #726823).

 -- Cristian Greco <cristian@debian.org>  Sat, 19 Oct 2013 20:26:01 +0200

libtorrent-rasterbar (0.16.11-1ubuntu5) trusty; urgency=low

  * Use dh-autoreconf for ppc64el.
    - Work around build system nuking python-dbg build fix.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 13 Feb 2014 11:03:49 -0500

libtorrent-rasterbar (0.16.11-1ubuntu4) trusty; urgency=medium

  * Fiy build with python3.4, using python-config.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 23:39:43 +0100

libtorrent-rasterbar (0.16.11-1ubuntu2) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,18 @@
 CONFIGURE_ARGS = --with-libgeoip --with-libiconv --with-boost-system=boost_system
 
 %:
-	dh $@ --parallel --with python2,python3
+	dh $@  --parallel --with python2,python3,autoreconf
+
+repatch:
+	# Must reapply python-dbg build patch since autoreconf recreates configure.
+	-patch -p1 < debian/patches/fix-python-dbg-build.patch
 
 override_dh_auto_configure-nopy:
 	dh_auto_configure --builddirectory build -- $(CONFIGURE_ARGS)
 
-override_dh_auto_configure-%:
+override_dh_auto_configure-%: repatch
 	CPPFLAGS="$(CPPFLAGS) $(shell python$*-config --includes)" \
+	PYTHON_LDFLAGS="$(shell python$*-config --libs)" \
 	dh_auto_configure --builddirectory build-py$* -- \
 		PYTHON=/usr/bin/python$* PYTHON_INSTALL_PARAMS="--root=$(CURDIR)/debian/tmp --install-layout=deb" \
 		--enable-python-binding --with-boost-python=boost_python-py$(subst .,,$(subst -dbg,,$*)) \

=== debian/watch ===
version=3
http://code.google.com/p/libtorrent/downloads/list .*/libtorrent-rasterbar-([\d\.]*)\.tar\.gz

## libtorrent-rasterbar 0.16.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -245,7 +245,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.16.13")
+set (VERSION "0.16.17")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}

=== debian/changelog ===
libtorrent-rasterbar (0.16.17-1ubuntu2) utopic; urgency=medium

  * Make sure repatch target is actually called.
  * Build against Boost 1.55.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 22 Jun 2014 13:05:14 -0400

libtorrent-rasterbar (0.16.17-1ubuntu1) utopic; urgency=medium

  * Reapply ppc64el delta. 
   - Use dh-autoreconf for ppc64el.
   - Add repatch target to debian/rules to work around autoreconf
     regenerating the patched configure script. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 22 Jun 2014 12:27:10 -0400

libtorrent-rasterbar (0.16.17-1) unstable; urgency=medium

  * New upstream release.
   - Don't fall back on wildcard port in UPnP (LP: #1330703). 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 22 Jun 2014 11:36:34 -0400

libtorrent-rasterbar (0.16.16-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to find new releases of sourceforge.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 07 Jun 2014 15:39:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 7.4.10),
                dpkg-dev (>= 1.16.1~),
-               libboost-system1.53-dev | libboost-system-dev,
-               libboost-python1.53-dev | libboost-python-dev,
+               dh-autoreconf,
+               libboost-system1.55-dev | libboost-system-dev,
+               libboost-python1.55-dev | libboost-python-dev,
                libssl-dev,
                libgeoip-dev,
                pkg-config,
@@ -15,7 +18,7 @@
                python3-all-dev,
                python3-all-dbg,
                python3-docutils
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/libtorrent-rasterbar.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libtorrent-rasterbar.git
 Homepage: http://www.rasterbar.com/products/libtorrent/index.html
@@ -45,7 +48,7 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
          libtorrent-rasterbar7 (= ${binary:Version}),
-         libboost-system1.53-dev | libboost-system-dev,
+         libboost-system1.55-dev | libboost-system-dev,
          libssl-dev,
          libgeoip-dev,
          pkg-config

## libtorrent-rasterbar 0.16.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -232,7 +232,7 @@
 endif(MSVC)
 
 add_definitions(-D_FILE_OFFSET_BITS=64)
-add_definitions(-DBOOST_DISABLE_EXCEPTION)
+add_definitions(-DBOOST_EXCEPTION_DISABLE)
 add_definitions(-DBOOST_ASIO_ENABLE_CANCELIO)
 
 if (tcmalloc)
@@ -245,7 +245,7 @@
 	SOVERSION 1
 	VERSION 1)
 
-set (VERSION "0.16.17")
+set (VERSION "0.16.18")
 
 get_property (COMPILETIME_OPTIONS_LIST
 	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}

=== debian/changelog ===
libtorrent-rasterbar (0.16.18-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Bruno Zanetti <bzanetti00@gmail.com>  Tue, 17 Mar 2015 14:48:31 +0100

libtorrent-rasterbar (0.16.18-1) unstable; urgency=medium

  * New upstream version.
    - fix string handling in python3 bindings (Closes: #756503).
  * debian/patches:
    - fix-python-dbg-build.patch: drop, fixed upstream.
    - fix-html-docs.patch: refresh.
    - fix-python-build-missing-byteshpp.patch: new, fix missing file
      from upstream tarball.

 -- Cristian Greco <cristian@debian.org>  Sat, 18 Oct 2014 19:47:37 +0200

libtorrent-rasterbar (0.16.17-2) unstable; urgency=medium

  * debian/control: switch back to unversioned {build-,}depends
    for boost libraries. (Closes: #759387)

 -- Cristian Greco <cristian@debian.org>  Tue, 02 Sep 2014 22:48:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: libtorrent-rasterbar
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
-Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
+Maintainer: Cristian Greco <cristian@debian.org>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>, Bruno Zanetti <bzanetti00@gmail.com>
 Build-Depends: debhelper (>= 7.4.10),
                dpkg-dev (>= 1.16.1~),
-               dh-autoreconf,
-               libboost-system1.55-dev | libboost-system-dev,
-               libboost-python1.55-dev | libboost-python-dev,
+               libboost-system-dev,
+               libboost-python-dev,
                libssl-dev,
                libgeoip-dev,
                pkg-config,
@@ -48,7 +46,7 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
          libtorrent-rasterbar7 (= ${binary:Version}),
-         libboost-system1.55-dev | libboost-system-dev,
+         libboost-system-dev,
          libssl-dev,
          libgeoip-dev,
          pkg-config

=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,12 @@
 CONFIGURE_ARGS = --with-libgeoip --with-libiconv --with-boost-system=boost_system
 
 %:
-	dh $@  --parallel --with python2,python3,autoreconf
-
-repatch:
-	# Must reapply python-dbg build patch since autoreconf recreates configure.
-	-patch -p1 < debian/patches/fix-python-dbg-build.patch
+	dh $@ --parallel --with python2,python3
 
 override_dh_auto_configure-nopy:
 	dh_auto_configure --builddirectory build -- $(CONFIGURE_ARGS)
 
-override_dh_auto_configure-%: repatch
+override_dh_auto_configure-%:
 	CPPFLAGS="$(CPPFLAGS) $(shell python$*-config --includes)" \
 	PYTHON_LDFLAGS="$(shell python$*-config --libs)" \
 	dh_auto_configure --builddirectory build-py$* -- \

## libtorrent-rasterbar 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(libtorrent)
set (SOVERSION "8")
set (VERSION "1.0.6")

set(sources
	web_connection_base
	alert
	alert_manager
	allocator
	asio
	assert
	bandwidth_limit
	bandwidth_manager
	bandwidth_queue_entry
	bloom_filter
	chained_buffer
	connection_queue
	create_torrent
	disk_buffer_holder
	entry
	error_code
	file_storage
	lazy_bdecode
	escape_string
	string_util
	file
	gzip
	hasher
	http_connection
	http_stream
	http_parser
	i2p_stream
	identify_client
	ip_filter
	ip_voter
	peer_connection
	bt_peer_connection
	web_peer_connection
	http_seed_connection
	instantiate_connection
	natpmp
	packet_buffer
	piece_picker
	policy
	puff
	random
	rss
	session
	session_impl
	settings
	socket_io
	socket_type  
	socks5_stream
	stat
	storage
	time
	timestamp_history
	torrent
	torrent_handle
	torrent_info
	tracker_manager
	http_tracker_connection
	utf8
	udp_tracker_connection
	udp_socket
	upnp
	utp_socket_manager
	utp_stream
	logger
	file_pool
	lsd
	disk_buffer_pool
	disk_io_thread
	enum_net
	broadcast_socket
	magnet_uri
	parse_url
	ConvertUTF
	thread
	xml_parse

# -- extensions --
	metadata_transfer
	ut_pex
	ut_metadata
	smart_ban
	lt_trackers
)

# -- kademlia --
set(kademlia_sources
	dht_tracker
	node
	refresh
	rpc_manager
	find_data
	node_id
	routing_table
	traversal_algorithm
	logging
	item
	get_peers
	get_item
)

# -- ed25519 --
set(ed25519_sources
	add_scalar
	fe
	ge
	key_exchange
	keypair
	sc
	seed
	sha512
	sign
	verify
)

set(includes include ed25519/src)

option(shared "build libtorrent as a shared library" ON)
option(static_runtime "build libtorrent with static runtime" OFF)
option(tcmalloc "link against google performance tools tcmalloc" OFF)
option(pool-allocators "Uses a pool allocator for disk and piece buffers" ON)
option(encryption "link against openssl and enable encryption" ON)
option(geoip "link against LGPL GeoIP code from Maxmind, to enable geoip database support" OFF)
option(dht "enable support for Mainline DHT" ON)
option(resolve-countries "enable support for resolving countries from peer IPs" ON)
option(unicode "enable unicode support" ON)
option(deprecated-functions "enable deprecated functions for backwards compatibility" ON)
option(exceptions "build with exception support" ON)
option(logging "build with logging" OFF)
option(verbose-logging "build with verbose logging" OFF)
option(build_tests "build tests" OFF)

set(CMAKE_CONFIGURATION_TYPES Debug Release RelWithDebInfo)

if (NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE Release FORCE)
endif()

# add_definitions() doesn't seem to let you say wich build type to apply it to
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DTORRENT_DEBUG")
if(UNIX)
	set(CMAKE_C_FLAGS_RELWITHDEBINFO "-Os -g")
	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO}")
endif()

if (build_tests)
	# this will make some internal functions available in the
	# DLL interface, for the tests to access
	add_definitions(-DTORRENT_EXPORT_EXTRA)
endif (build_tests)

include_directories(${includes})

if (encryption)
	list(APPEND sources pe_crypto asio_ssl)
	if(NOT DEFINED OPENSSL_INCLUDE_DIR OR NOT DEFINED OPENSSL_LIBRARIES)
		FIND_PACKAGE(OpenSSL REQUIRED)
	endif()
	add_definitions(-DTORRENT_USE_OPENSSL)
	include_directories(${OPENSSL_INCLUDE_DIR})
else()
	add_definitions(-DTORRENT_DISABLE_ENCRYPTION)
	list(APPEND sources sha1)
endif (encryption)

if (logging)
	add_definitions(-DTORRENT_LOGGING)
endif()
if (verbose-logging)
	add_definitions(-DTORRENT_VERBOSE_LOGGING)
endif()

foreach(s ${sources})
	list(APPEND sources2 src/${s})
endforeach(s)

if (dht)
	foreach(s ${kademlia_sources})
		list(APPEND sources2 src/kademlia/${s})
	endforeach(s)
	foreach(s ${ed25519_sources})
		list(APPEND sources2 ed25519/src/${s})
	endforeach(s)
else()
	add_definitions(-DTORRENT_DISABLE_DHT)
endif()

if(NOT MSVC)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
	set(CMAKE_CXX_FLAGS "${CMAKE_C_FLAGS} -fvisibility-inlines-hidden")
endif()

if (shared)
	add_definitions(-DTORRENT_BUILDING_SHARED)
	add_library(torrent-rasterbar SHARED ${sources2})
else (shared)
	if(static_runtime)
		# fix /MT flag:
		set(CompilerFlags
				CMAKE_CXX_FLAGS
				CMAKE_CXX_FLAGS_DEBUG
				CMAKE_CXX_FLAGS_RELWITHDEBINFO
				CMAKE_CXX_FLAGS_RELEASE
				CMAKE_C_FLAGS
				CMAKE_C_FLAGS_DEBUG
				CMAKE_CXX_FLAGS_RELWITHDEBINFO
				CMAKE_C_FLAGS_RELEASE
				)
		foreach(CompilerFlag ${CompilerFlags})
			string(REPLACE "/MD" "/MT" ${CompilerFlag} "${${CompilerFlag}}")
		endforeach()
	endif()
	add_library(torrent-rasterbar STATIC ${sources2})
endif()

# Boost
if(NOT DEFINED Boost_INCLUDE_DIR OR NOT DEFINED Boost_LIBRARIES)
	FIND_PACKAGE( Boost COMPONENTS system thread date_time chrono)
endif()
include_directories(${Boost_INCLUDE_DIR})
target_link_libraries(torrent-rasterbar ${Boost_LIBRARIES})

# this works around a bug in asio in boost-1.39
#add_definitions(-DBOOST_ASIO_HASH_MAP_BUCKETS=1021  -D__USE_W32_SOCKETS -DWIN32_LEAN_AND_MEAN )

if(NOT static_runtime)
	add_definitions(-DBOOST_ASIO_DYN_LINK -DBOOST_DATE_TIME_DYN_LINK -DBOOST_THREAD_DYN_LINK -DBOOST_SYSTEM_DYN_LINK -DBOOST_CHRONO_DYN_LINK)
else()
	add_definitions(-DBOOST_ASIO_SEPARATE_COMPILATION)
endif()

if (WIN32)
	target_link_libraries(torrent-rasterbar wsock32 ws2_32)
	add_definitions(-D_WIN32_WINNT=0x0600)
	if (MSVC)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP") # multicore compilation
	endif()
endif()

if (encryption)
	target_link_libraries(torrent-rasterbar ${OPENSSL_LIBRARIES})
endif()

if (NOT pool-allocators)
	add_definitions(-DTORRENT_DISABLE_POOL_ALLOCATOR)
endif()

if (NOT geoip)
	add_definitions(-DTORRENT_DISABLE_GEO_IP)
endif()

if (NOT resolve-countries)
	add_definitions(-DTORRENT_DISABLE_RESOLVE_COUNTRIES)
endif()

if (unicode)
	add_definitions(-DUNICODE -D_UNICODE)
endif()

if (NOT deprecated-functions)
	add_definitions(-DTORRENT_NO_DEPRECATE)
endif()

if (exceptions)
	if (MSVC)
		add_definitions(/EHsc)
	else (MSVC)
		add_definitions(-fexceptions)
	endif (MSVC)
else()
	if (MSVC)
		add_definitions(-D_HAS_EXCEPTIONS=0)
	else (MSVC)
		add_definitions(-fno-exceptions)
	endif (MSVC)
endif()

if (MSVC)
# disable bogus deprecation warnings on msvc8
	add_definitions(-D_SCL_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE)
# these compiler settings just makes the compiler standard conforming
	add_definitions(/Zc:wchar_t /Zc:forScope)
# for multi-core compilation
	add_definitions(/MP)

#$(SolutionDir)<toolset>msvc,<variant>release:<linkflags>/OPT:ICF=5
#$(SolutionDir)<toolset>msvc,<variant>release:<linkflags>/OPT:REF
else()
	add_definitions(-Wno-c++11-extensions)
endif()

add_definitions(-D_FILE_OFFSET_BITS=64)
add_definitions(-DBOOST_EXCEPTION_DISABLE)
add_definitions(-DBOOST_ASIO_ENABLE_CANCELIO)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
	add_definitions(-fcolor-diagnostics)
endif()

if (tcmalloc)
	target_link_libraries(torrent-rasterbar tcmalloc)
endif()

set_target_properties(torrent-rasterbar PROPERTIES
	SOVERSION ${SOVERSION})

get_property (COMPILETIME_OPTIONS_LIST
	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIRECTORY}
	PROPERTY COMPILE_DEFINITIONS
	)
foreach (s ${COMPILETIME_OPTIONS_LIST})
	set (COMPILETIME_OPTIONS "${COMPILETIME_OPTIONS} -D${s}")
endforeach (s)

configure_file(libtorrent-rasterbar-cmake.pc.in libtorrent-rasterbar.pc)

string (COMPARE EQUAL "${CMAKE_SIZEOF_VOID_P}" "8" IS64BITS)

if (IS64BITS AND RESPECTLIB64)
	set (LIBDIR "lib64")
else()
	set (LIBDIR "lib")
endif()

install(TARGETS torrent-rasterbar DESTINATION ${LIBDIR})
install(DIRECTORY include/libtorrent
	DESTINATION include
	PATTERN ".svn" EXCLUDE)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libtorrent-rasterbar.pc DESTINATION ${LIBDIR}/pkgconfig)

# === set up examples directory as an independent project ===
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/examples)
configure_file(examples/run_cmake.sh.in examples/run_cmake.sh)
# to build the examples, run examples/run_cmake.sh after building libtorrent

# === build tests ===
if(build_tests)
	FILE(GLOB tests RELATIVE "${PROJECT_SOURCE_DIR}" "test/test_*.cpp")
	add_library(test_common STATIC test/main.cpp test/setup_transfer.cpp
		test/dht_server.cpp test/udp_tracker.cpp test/peer_server.cpp
		test/web_seed_suite.cpp)
	enable_testing()

	foreach(s ${tests})
		get_filename_component (sn ${s} NAME_WE)
		add_executable(${sn} ${s})
		target_link_libraries(${sn} torrent-rasterbar test_common)
		add_test(${sn} ${s})
	endforeach(s)

#	add_executable(test_upnp test/test_upnp.cpp)
#	target_link_libraries(test_upnp torrent-rasterbar)

#	add_executable(test_natpmp test/test_natpmp.cpp)
#	target_link_libraries(test_natpmp torrent-rasterbar)
endif()

=== debian/changelog ===
libtorrent-rasterbar (1.0.6-2) unstable; urgency=medium

  * Upload to unstable (Closes: #791176).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 29 Aug 2015 12:55:09 -0400

libtorrent-rasterbar (1.0.6-1) experimental; urgency=medium

  * New upstream release (Closes: #785676).
   - Bump library soname.
  * Drop fix-python-build-missing-byteshpp.patch, applied upstream.
  * python-clean-without-bjam.patch: Only use bjam when '--bjam'
    is passed explicitly.
  * Bump Standards-Version to 3.9.6, no changes.
  * Point debian/watch at GitHub.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 01 Aug 2015 18:03:37 -0400

## libtorrent-rasterbar 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 project(libtorrent)
 set (SOVERSION "8")
-set (VERSION "1.0.6")
+set (VERSION "1.0.7")
 
 set(sources
 	web_connection_base

=== examples/CMakeLists.txt ===
project(libtorrent-examples)
cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")

# Add extra include and library search directories so examples can optionally
# be built without a prior "make install" of libtorrent.
list(INSERT CMAKE_INCLUDE_PATH 0 "${CMAKE_CURRENT_SOURCE_DIR}/../include")
list(INSERT CMAKE_LIBRARY_PATH 0 "${CMAKE_CURRENT_BINARY_DIR}/..")

# Also use the generated pkg-config file prior to "make install".
# In an independent project, these lines would simply not exist.
set(PKG_CONFIG_CHANGED_PATH "${CMAKE_CURRENT_BINARY_DIR}/..;$ENV{PKG_CONFIG_PATH}")
if(UNIX)
    string(REPLACE ";" ":" PKG_CONFIG_CHANGED_PATH "${PKG_CONFIG_CHANGED_PATH}")
endif ()
set(ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_CHANGED_PATH}")

find_package(LibtorrentRasterbar REQUIRED)
find_package(Boost REQUIRED COMPONENTS system)

include_directories(${LibtorrentRasterbar_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
add_definitions(${LibtorrentRasterbar_DEFINITIONS})

FILE(GLOB examples RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "*.cpp")
foreach(s ${examples})
    get_filename_component (sn ${s} NAME_WE)
    add_executable(${sn} ${s})
    target_link_libraries(${sn} ${LibtorrentRasterbar_LIBRARIES} ${Boost_LIBRARIES})
endforeach(s)

=== debian/changelog ===
libtorrent-rasterbar (1.0.7-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:39:16 +0000

libtorrent-rasterbar (1.0.7-1) unstable; urgency=medium

  * New upstream release (Closes: #806396).
  * Update Source link in debian/copyright.
  * debian/patches/missing_rst_file.patch: Add file missing
    from upstream distribution.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 27 Nov 2015 12:41:42 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Cristian Greco <cristian@debian.org>
-Uploaders: Andrew Starr-Bochicchio <asb@debian.org>, Bruno Zanetti <bzanetti00@gmail.com>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 7.4.10),
                dpkg-dev (>= 1.16.1~),
                libboost-system-dev,
@@ -16,14 +16,14 @@
                python3-all-dev,
                python3-all-dbg,
                python3-docutils
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/libtorrent-rasterbar.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libtorrent-rasterbar.git
 Homepage: http://www.rasterbar.com/products/libtorrent/index.html
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.1
 
-Package: libtorrent-rasterbar7
+Package: libtorrent-rasterbar8
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,7 +45,7 @@
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
-         libtorrent-rasterbar7 (= ${binary:Version}),
+         libtorrent-rasterbar8 (= ${binary:Version}),
          libboost-system-dev,
          libssl-dev,
          libgeoip-dev,
@@ -68,7 +68,7 @@
 Priority: extra
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
+Depends: ${misc:Depends}, libtorrent-rasterbar8 (= ${binary:Version})
 Description: Debug symbols for libtorrent-rasterbar
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to
@@ -102,7 +102,7 @@
 Section: python
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libtorrent-rasterbar8 (= ${binary:Version})
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
 Description: Python bindings for libtorrent-rasterbar
@@ -142,7 +142,7 @@
 Section: python
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libtorrent-rasterbar7 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libtorrent-rasterbar8 (= ${binary:Version})
 Description: Python bindings for libtorrent-rasterbar (Python 3)
  Bittorrent library by Rasterbar Software (Arvid Norberg).
  libtorrent-rasterbar is a C++ library that aims to be a good alternative to

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 		--enable-python-binding --with-boost-python=boost_python-py$(subst .,,$(subst -dbg,,$*)) \
 		$(CONFIGURE_ARGS)
 	mv build-py$*/bindings/python build/bindings/python$*
-	cp -r bindings/python/src build/bindings/python$*
+	cp -r bindings/python/* build/bindings/python$*
 
 override_dh_auto_configure: override_dh_auto_configure-nopy $(ALLPY:%=override_dh_auto_configure-%)
